package com.yihu.wlyy.entity.education;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 健康教育
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_health_edu_article")
public class HealthEduArticle extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 149974966956355735L;

	// 文章标识
	private String code;
	// 文章标题
	private String title;
	// 文章链接
	private String url;
	// 文章内容
	private String content;
	// 发布时间
	private Date czrq;
	//文章关键字
	private String keyword;

	public String getKeyword(){
		return keyword;
	}

	public void setKeyword(String keyword){
		this.keyword = keyword;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
